# Akamai\Open\EdgeGrid\Client::createFromEdgeRcFile

#### Factory method to create a client using credentials from `.edgerc`

Automatically checks your HOME directory, and the current working directory for credentials, if no path is supplied.

## Signature

`public function createFromEdgeRcFile([string $section = 'default', [string $path = null, [array $config = ]]] )`

## Parameters

`$section` — string
  Credential section to use
`$path` — string
  Path to .edgerc credentials file
`$config` — array
  Options to pass to the constructor/guzzle

## Returns

Client

## Test Coverage

### Information

- Coverage: 5/5 Lines (100%)
- Tests: 4
- Passed: 4 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRcDefault with data set #0
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRcDefault with data set #1
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRcDefault with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRcDefault with data set #3